complexType "Schedule"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 8 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | initialValue?, step*
</...>

Content Model Elements (2):

  initialValue (defined in Schedule complexType), | step (defined in Schedule complexType)

Known Direct Subtypes (3):

  AmountSchedule, SpreadSchedule, StrikeSchedule

All Direct / Indirect Based Elements (11):

  capRateSchedule,
  feeAmountSchedule,
  feeRateSchedule,
  fixedRate (defined in TradeUnderlyer complexType),
  fixedRate (in underlyer defined in GenericProduct complexType),
  fixedRateSchedule,
  floatingRateMultiplierSchedule,
  floorRateSchedule,
  knownAmountSchedule,
  spreadSchedule (defined in FloatingRate complexType),
  spreadSchedule (in underlyerFinancing)

Known Usage Locations

- In derivations of other global types (3):

  AmountSchedule (as extension base), SpreadSchedule (as extension base), | StrikeSchedule (as extension base)

- As direct type of elements (5):
  feeRateSchedule,
  fixedRate (defined in TradeUnderlyer complexType),
  fixedRate (in underlyer defined in GenericProduct complexType),
  fixedRateSchedule,
  floatingRateMultiplierSchedule

Annotation
A type defining a schedule of rates or amounts in terms of an initial value and then a series of step date and value pairs. On each step date the rate or amount changes to the new step value. The series of step date and value pairs are optional. If not specified, this implies that the initial value remains unchanged over time.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="Schedule"> <xsd:sequence> <xsd:element minOccurs="0" name="initialValue" type="xsd:decimal"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="step" type="Step"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
initialValue

  Type: | xsd:decimal, predefined, simple content

  The initial rate or amount, as the case may be. An initial rate of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="initialValue" type="xsd:decimal"/>

step

  Type: | Step, complex content

  The schedule of step date and value pairs. On each step date the associated step value becomes effective A list of steps may be ordered in the document by ascending step date. An FpML document containing an unordered list of steps is still regarded as a conformant document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="step" type="Step"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.